package cn.com.ctop.toutiao.modules.material.entity;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 返点-首投有效素材明细
 */
@Data
public class FirstDeliveryValidMaterials {

    private Long id;
    /**
     * 年份
     */
    private String deliveryYear;
    /**
     * 首投月份
     */
    private String deliveryMonth;
    /**
     * 运营标签
     */
    private String operationLabel;
    /**
     * 素材ID
     */
    private Long materialId;
    /**
     * 广告主id
     */
    private Long accountId;
    /**
     * 首投日期
     */
    private String statDate;
    /**
     * 广告主名称
     */
    private String accountName;
    /**
     * 客户名称
     */
    private String customerName;
    /**
     * 广告ids
     */
    private String adIds;
    /**
     * 优化师名称
     */
    private String userName;
    /**
     * 返点核算政策类型
     */
    private String rebateType;
    /**
     * 结算行业一级行业
     */
    private String settlement1l;
    /**
     * 结算二级行业
     */
    private String settlement2l;
    /**
     * 是否首投有效素材
     */
    private String firstValid;
    /**
     * 首投7天累量消耗
     */
    private BigDecimal cost7day;
    /**
     * 消耗
     */
    private BigDecimal cost;

    public FirstDeliveryValidMaterials() {
    }

    public FirstDeliveryValidMaterials(JSONObject obj) {
        this.setDeliveryMonth(obj.getString("0"));//首投月份
        this.setOperationLabel(obj.getString("1"));//运营标签
        this.setMaterialId(Long.valueOf(obj.getString("2").replace("\"", "")));//素材id
        this.setAccountId(Long.valueOf(obj.getString("4").replace("\"", "")));//广告主id
        this.setStatDate(obj.getString("5"));//首投日期
        this.setAccountName(obj.getString("7"));//广告主名称
        this.setAdIds(obj.getString("8"));//广告ids
        this.setCustomerName(obj.getString("9"));//客户名称
        this.setUserName(obj.getString("10"));//优化师名称
        this.setRebateType(obj.getString("11"));//返点核算政策类型
        this.setSettlement1l(obj.getString("12"));//结算行业一级行业
        this.setSettlement2l(obj.getString("13"));//结算二级行业
        this.setFirstValid(obj.getString("14"));//是否首投有效素材
        this.setCost7day(obj.getBigDecimal("15"));//首投7天累量消耗
        this.setCost(obj.getBigDecimal("16"));//消耗
    }

}
